$LastChangedDate: 27-Juil-2011 $

# CL_op_rava2ae

Apoapsis radius and velocity to semi major axis and eccentricity (elliptic orbits)

## Calling Sequence

       [sma,ecc] = CL_op_rava2ae(ra,va [,mu])

## Description

- Computes semi major axis and eccentricity from apoapsis radius and velocity at apoapsis (elliptic orbit only).

- Note:

  The results are correct even if (ra,va) are data that actually correspond to the periapsis.

## Parameters

ra:

  Apoapsis radius [m] (1xN or 1x1)

va:

  Velocity at apoapsis [m/s] (1xN or 1x1)

mu :

  (optional) Gravitational constant [m^3/s^2] (default value is %CL_mu)

sma:

  Semi major axis [m] (1xN)

ecc:

  Eccentricity (1xN)

## Authors

- CNES - DCT/SB

## See also

- CL_op_rpvp2ae

- CL_op_rarp2ae

## Examples

    ra = 7078.e3;
    va = 7.e3;
    [sma,ecc] = CL_op_rava2ae(ra,va)